This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 711348 - Linking to a bridgehead does not work in html formats
Linking to a bridgehead does not work in html formats
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
future
Unspecified Unspecified
medium Severity urgent
: 3.0
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-07 05:37 EDT by Martin Prpic
Modified: 2012-10-30 23:10 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 23:10:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Martin Prpic 2011-06-07 05:37:46 EDT
Description of problem:

Assigning a bridgehead an ID, for example:

<bridgehead id="eels">Eels</bridgehead> 

and then linking to it using an xref:

<xref linkend="eels"/> 

produces a correct link in the html, but when clicked, it does not take you to the actual bridgehead.
Comment 1 Jeff Fearn 2011-06-20 07:12:22 EDT
Modified template anchor to match bridgehead better.

Committed revision 1788.
Comment 2 Jeff Fearn 2011-11-28 20:38:13 EST
wow this fix shipped ages ago!
Comment 3 Martin Prpic 2012-01-16 06:52:04 EST
~]$ rpm -q publican
publican-2.8-1.fc15.noarch

Linking to a bridgehead still doesn't work. Re-opening.
Comment 4 Jeff Fearn 2012-02-20 01:25:15 EST
hmm must have been reverted at some time...

Reapplied patch to trunk.

Committed revision 2022.
Comment 5 Martin Prpic 2012-04-24 12:39:30 EDT
The referencing works, but the produced link has the anchor of the format:

Section x.y, "Eels".

where x.y is the section (which has a different title) that contains that particular bridgehead. This may be confusing to users as you are saying it's section x.y and yet the name of that section is not Eels. Hope this makes sense.

I think the produced html link should just says "Eels" and the author will be responsible for ensuring it makes sense grammatically.

Moving back to ASSIGNED.

Thanks!
Comment 6 Jeff Fearn 2012-05-17 02:39:39 EDT
(In reply to comment #5)
> I think the produced html link should just says "Eels" and the author will be
> responsible for ensuring it makes sense grammatically.

Unfortunately removing the title makes it impossible for translators to make sense grammatically. We've debated this on numerous occasions and we've always come back to having the label in the xref as the default. Brands can override this if they choose to do so.

FWIW the label used 'Section' it set in the DocBook translation XSL, so a bug would need to be lodged upstream if a different label was sought for bridgeheads.
Comment 7 Michael Hideo 2012-06-07 22:01:49 EDT
(In reply to comment #0)
> Description of problem:
> 
> Assigning a bridgehead an ID, for example:
> 
> <bridgehead id="eels">Eels</bridgehead> 
> 
> and then linking to it using an xref:
> 
> <xref linkend="eels"/> 
> 
> produces a correct link in the html, but when clicked, it does not take you
> to the actual bridgehead.

execute the above
Comment 8 Martin Prpic 2012-06-08 04:38:29 EDT
Linking works as expected. Moving to VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.